Subject: Re: [hatari-devel] compilation failing for cygwin on cirrus CI
From: Takashi Yano via Cygwin <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 16 Sep 2023 23:18:36 +0900
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On Sat, 16 Sep 2023 05:53:52 +0000
Thomas Huth wrote:
> Am Fri, 15 Sep 2023 15:00:37 +0200
> schrieb Nicolas Pomarède:
> 
> > Hi
> > 
> > somewhere around libSDL2_2.0_0 went from 2.0.7-1 to 2.28.2-1 and since 
> > then the compilation is failing for the cigwin version :
> > 
> > https://cirrus-ci.com/github/hatari/hatari
> > 
> > -- Configuring done
> > CMake Error at src/CMakeLists.txt:179 (target_link_libraries):
> >    Target "hatari" links to:
> >      SDL2::SDL2
> >    but the target was not found.  Possible reasons include:
> >      * There is a typo in the target name.
> >      * A find_package call is missing for an IMPORTED target.
> >      * An ALIAS target is missing.
> > 
> > I guess some files need to be updated to help cmake finding the library ?
> 
>  Hi,
> 
> honestly, I don't have a clue what could have gone wrong here. The library
> configuration now comes from the SDL2Config.cmake file that should be part
> of the SDL2 package, i.e. the library is *not* located by Hatari anymore.
> So if that fails now on cygwin, this smells like a bug in the SDL2 package
> there to me. And since I don't have a Cygwin installation at hand, I have
> also no means to debug this. Is there anybody else here on the list who
> has a Cygwin installation and could have a look?

Thanks for the report. I looked into this problem and found the cause.
I will release new SDL2 package where the issue has been fixed.

-- 
Takashi Yano <[email-masked]>

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple